
=encoding utf8

=head1 NAME

Sidef::Time::Date

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Date(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 !=

    a != b

Returns the

Aliases: I<ne>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>, I<add_seconds>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>, I<subtract>

=cut

=head2 <

    a < b

Returns the

Aliases: I<lt>

=cut

=head2 <=

    a <= b

Returns the

Aliases: I<le>

=cut

=head2 <=>

    a <=> b

Returns the

Aliases: I<cmp>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 >

    a > b

Returns the

Aliases: I<gt>

=cut

=head2 >=

    a >= b

Returns the

Aliases: I<ge>

=cut

=head2 add_days

    self.add_days(days)

Returns the

=cut

=head2 add_months

    self.add_months(months)

Returns the

=cut

=head2 add_years

    self.add_years(years)

Returns the

=cut

=head2 call

    self.call

Returns the

=cut

=head2 date

    self.date

Returns the

=cut

=head2 day

    self.day

Returns the

Aliases: I<mday>, I<month_day>

=cut

=head2 dmy

    self.dmy

Returns the

=cut

=head2 dump

    self.dump

Returns the

=cut

=head2 epoch

    self.epoch

Returns the

=cut

=head2 format

    self.format(format)

Returns the

Aliases: I<strftime>

=cut

=head2 fullmonth

    self.fullmonth

Returns the

=cut

=head2 gmt

    self.gmt(sec)

Returns the

Aliases: I<gmtime>

=cut

=head2 hour

    self.hour

Returns the

=cut

=head2 isdst

    self.isdst

Returns the

Aliases: I<daylight_savings>

=cut

=head2 julian_day

    self.julian_day

Returns the

=cut

=head2 local

    self.local(sec)

Returns the

Aliases: I<localtime>

=cut

=head2 mdy

    self.mdy

Returns the

=cut

=head2 min

    self.min

Returns the

Aliases: I<minute>

=cut

=head2 mon

    self.mon

Returns the

Aliases: I<month>

=cut

=head2 monname

    self.monname

Returns the

=cut

=head2 month_last_day

    self.month_last_day

Returns the

=cut

=head2 now

    self.now

Returns the

Aliases: I<today>

=cut

=head2 parse

    self.parse(string, format)

Returns the

Aliases: I<strptime>

=cut

=head2 sec

    self.sec

Returns the

Aliases: I<second>

=cut

=head2 time

    self.time

Returns the

=cut

=head2 to_s

    self.to_s

Returns the

Aliases: I<cdate>, I<ctime>, I<to_str>

=cut

=head2 truncate_to_day

    self.truncate_to_day

Returns the

=cut

=head2 truncate_to_hour

    self.truncate_to_hour

Returns the

=cut

=head2 truncate_to_minute

    self.truncate_to_minute

Returns the

=cut

=head2 truncate_to_month

    self.truncate_to_month

Returns the

=cut

=head2 truncate_to_quarter

    self.truncate_to_quarter

Returns the

=cut

=head2 truncate_to_second

    self.truncate_to_second

Returns the

=cut

=head2 truncate_to_year

    self.truncate_to_year

Returns the

=cut

=head2 valid

    self.valid(string, format)

Returns the

Aliases: I<valid_date>

=cut

=head2 wday

    self.wday

Returns the

Aliases: I<week_day>

=cut

=head2 wdayname

    self.wdayname

Returns the

=cut

=head2 week

    self.week

Returns the

=cut

=head2 yday

    self.yday

Returns the

Aliases: I<year_day>

=cut

=head2 year

    self.year

Returns the

=cut

=head2 ymd

    self.ymd

Returns the

=cut

=head2 yy

    self.yy

Returns the

=cut
